<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceCatch.html">Catch</a></li><li class="navelem"><a class="el" href="namespaceCatch_1_1Detail.html">Detail</a></li><li class="navelem"><a class="el" href="classCatch_1_1Detail_1_1Approx.html">Approx</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">Catch::Detail::Approx Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classCatch_1_1Detail_1_1Approx.html">Catch::Detail::Approx</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classCatch_1_1Detail_1_1Approx.html#a1a8618ea8db08c66bd3d9fe8f74b957a">Approx</a>(double value)</td><td class="entry"><a class="el" href="classCatch_1_1Detail_1_1Approx.html">Catch::Detail::Approx</a></td><td class="entry"><span class="mlabel">explicit</span></td></tr>
  <tr><td class="entry"><a class="el" href="classCatch_1_1Detail_1_1Approx.html#ab14b979fa8a37f21d037157fabed4072">Approx</a>(T const &amp;value)</td><td class="entry"><a class="el" href="classCatch_1_1Detail_1_1Approx.html">Catch::Detail::Approx</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">explicit</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCatch_1_1Detail_1_1Approx.html#a1a8618ea8db08c66bd3d9fe8f74b957a">Approx</a>(double value)</td><td class="entry"><a class="el" href="classCatch_1_1Detail_1_1Approx.html">Catch::Detail::Approx</a></td><td class="entry"><span class="mlabel">explicit</span></td></tr>
  <tr><td class="entry"><a class="el" href="classCatch_1_1Detail_1_1Approx.html#ab14b979fa8a37f21d037157fabed4072">Approx</a>(T const &amp;value)</td><td class="entry"><a class="el" href="classCatch_1_1Detail_1_1Approx.html">Catch::Detail::Approx</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">explicit</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCatch_1_1Detail_1_1Approx.html#aaf86dc0ee92272ac2d9839197a07951d">custom</a>()</td><td class="entry"><a class="el" href="classCatch_1_1Detail_1_1Approx.html">Catch::Detail::Approx</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="classCatch_1_1Detail_1_1Approx.html#aaf86dc0ee92272ac2d9839197a07951d">custom</a>()</td><td class="entry"><a class="el" href="classCatch_1_1Detail_1_1Approx.html">Catch::Detail::Approx</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCatch_1_1Detail_1_1Approx.html#acd26adba86a066b9f40dad467f23bc85">epsilon</a>(T const &amp;newEpsilon)</td><td class="entry"><a class="el" href="classCatch_1_1Detail_1_1Approx.html">Catch::Detail::Approx</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classCatch_1_1Detail_1_1Approx.html#acd26adba86a066b9f40dad467f23bc85">epsilon</a>(T const &amp;newEpsilon)</td><td class="entry"><a class="el" href="classCatch_1_1Detail_1_1Approx.html">Catch::Detail::Approx</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCatch_1_1Detail_1_1Approx.html#af53c48227a7b654da58adeb1d360b715">equalityComparisonImpl</a>(double other) const</td><td class="entry"><a class="el" href="classCatch_1_1Detail_1_1Approx.html">Catch::Detail::Approx</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="classCatch_1_1Detail_1_1Approx.html#af53c48227a7b654da58adeb1d360b715">equalityComparisonImpl</a>(double other) const</td><td class="entry"><a class="el" href="classCatch_1_1Detail_1_1Approx.html">Catch::Detail::Approx</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCatch_1_1Detail_1_1Approx.html#af17c8e869ae7a55d14b99eb18e178114">m_epsilon</a></td><td class="entry"><a class="el" href="classCatch_1_1Detail_1_1Approx.html">Catch::Detail::Approx</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="classCatch_1_1Detail_1_1Approx.html#a4262a7e821eec507b424c335121ea0d8">m_margin</a></td><td class="entry"><a class="el" href="classCatch_1_1Detail_1_1Approx.html">Catch::Detail::Approx</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCatch_1_1Detail_1_1Approx.html#a65e9bdab9113ff3300b45f0a4e048dd7">m_scale</a></td><td class="entry"><a class="el" href="classCatch_1_1Detail_1_1Approx.html">Catch::Detail::Approx</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="classCatch_1_1Detail_1_1Approx.html#af7aeef703bd591f5ec85407b1dac053c">m_value</a></td><td class="entry"><a class="el" href="classCatch_1_1Detail_1_1Approx.html">Catch::Detail::Approx</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCatch_1_1Detail_1_1Approx.html#a6467dc18791e1a1f4c15c4fb63cf5051">margin</a>(T const &amp;newMargin)</td><td class="entry"><a class="el" href="classCatch_1_1Detail_1_1Approx.html">Catch::Detail::Approx</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classCatch_1_1Detail_1_1Approx.html#a6467dc18791e1a1f4c15c4fb63cf5051">margin</a>(T const &amp;newMargin)</td><td class="entry"><a class="el" href="classCatch_1_1Detail_1_1Approx.html">Catch::Detail::Approx</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCatch_1_1Detail_1_1Approx.html#a29696f14ebd51887c8c88e771d12ef54">operator!=</a>(T const &amp;lhs, Approx const &amp;rhs)</td><td class="entry"><a class="el" href="classCatch_1_1Detail_1_1Approx.html">Catch::Detail::Approx</a></td><td class="entry"><span class="mlabel">friend</span></td></tr>
  <tr><td class="entry"><a class="el" href="classCatch_1_1Detail_1_1Approx.html#a31d62e3c35abb86cf25e02601966ca5d">operator!=</a>(Approx const &amp;lhs, T const &amp;rhs)</td><td class="entry"><a class="el" href="classCatch_1_1Detail_1_1Approx.html">Catch::Detail::Approx</a></td><td class="entry"><span class="mlabel">friend</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCatch_1_1Detail_1_1Approx.html#a29696f14ebd51887c8c88e771d12ef54">operator!=</a>(T const &amp;lhs, Approx const &amp;rhs)</td><td class="entry"><a class="el" href="classCatch_1_1Detail_1_1Approx.html">Catch::Detail::Approx</a></td><td class="entry"><span class="mlabel">friend</span></td></tr>
  <tr><td class="entry"><a class="el" href="classCatch_1_1Detail_1_1Approx.html#a31d62e3c35abb86cf25e02601966ca5d">operator!=</a>(Approx const &amp;lhs, T const &amp;rhs)</td><td class="entry"><a class="el" href="classCatch_1_1Detail_1_1Approx.html">Catch::Detail::Approx</a></td><td class="entry"><span class="mlabel">friend</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCatch_1_1Detail_1_1Approx.html#a006f6f92cecf2b2e7d2c70329709f6e4">operator()</a>(T const &amp;value) const</td><td class="entry"><a class="el" href="classCatch_1_1Detail_1_1Approx.html">Catch::Detail::Approx</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classCatch_1_1Detail_1_1Approx.html#a006f6f92cecf2b2e7d2c70329709f6e4">operator()</a>(T const &amp;value) const</td><td class="entry"><a class="el" href="classCatch_1_1Detail_1_1Approx.html">Catch::Detail::Approx</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCatch_1_1Detail_1_1Approx.html#aa9adf5f05e641df770039543d5067d30">operator-</a>() const</td><td class="entry"><a class="el" href="classCatch_1_1Detail_1_1Approx.html">Catch::Detail::Approx</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classCatch_1_1Detail_1_1Approx.html#aa9adf5f05e641df770039543d5067d30">operator-</a>() const</td><td class="entry"><a class="el" href="classCatch_1_1Detail_1_1Approx.html">Catch::Detail::Approx</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCatch_1_1Detail_1_1Approx.html#a0369de03e81bc2ceaf6c9d830476bd49">operator&lt;=</a>(T const &amp;lhs, Approx const &amp;rhs)</td><td class="entry"><a class="el" href="classCatch_1_1Detail_1_1Approx.html">Catch::Detail::Approx</a></td><td class="entry"><span class="mlabel">friend</span></td></tr>
  <tr><td class="entry"><a class="el" href="classCatch_1_1Detail_1_1Approx.html#a6040b908588745570847d7ae8483b091">operator&lt;=</a>(Approx const &amp;lhs, T const &amp;rhs)</td><td class="entry"><a class="el" href="classCatch_1_1Detail_1_1Approx.html">Catch::Detail::Approx</a></td><td class="entry"><span class="mlabel">friend</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCatch_1_1Detail_1_1Approx.html#a0369de03e81bc2ceaf6c9d830476bd49">operator&lt;=</a>(T const &amp;lhs, Approx const &amp;rhs)</td><td class="entry"><a class="el" href="classCatch_1_1Detail_1_1Approx.html">Catch::Detail::Approx</a></td><td class="entry"><span class="mlabel">friend</span></td></tr>
  <tr><td class="entry"><a class="el" href="classCatch_1_1Detail_1_1Approx.html#a6040b908588745570847d7ae8483b091">operator&lt;=</a>(Approx const &amp;lhs, T const &amp;rhs)</td><td class="entry"><a class="el" href="classCatch_1_1Detail_1_1Approx.html">Catch::Detail::Approx</a></td><td class="entry"><span class="mlabel">friend</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCatch_1_1Detail_1_1Approx.html#ab38782a37d09b527ca5e126dbf433dda">operator==</a>(const T &amp;lhs, Approx const &amp;rhs)</td><td class="entry"><a class="el" href="classCatch_1_1Detail_1_1Approx.html">Catch::Detail::Approx</a></td><td class="entry"><span class="mlabel">friend</span></td></tr>
  <tr><td class="entry"><a class="el" href="classCatch_1_1Detail_1_1Approx.html#a0e5ef1957d4c38d7857005909c613743">operator==</a>(Approx const &amp;lhs, const T &amp;rhs)</td><td class="entry"><a class="el" href="classCatch_1_1Detail_1_1Approx.html">Catch::Detail::Approx</a></td><td class="entry"><span class="mlabel">friend</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCatch_1_1Detail_1_1Approx.html#ab38782a37d09b527ca5e126dbf433dda">operator==</a>(const T &amp;lhs, Approx const &amp;rhs)</td><td class="entry"><a class="el" href="classCatch_1_1Detail_1_1Approx.html">Catch::Detail::Approx</a></td><td class="entry"><span class="mlabel">friend</span></td></tr>
  <tr><td class="entry"><a class="el" href="classCatch_1_1Detail_1_1Approx.html#a0e5ef1957d4c38d7857005909c613743">operator==</a>(Approx const &amp;lhs, const T &amp;rhs)</td><td class="entry"><a class="el" href="classCatch_1_1Detail_1_1Approx.html">Catch::Detail::Approx</a></td><td class="entry"><span class="mlabel">friend</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCatch_1_1Detail_1_1Approx.html#affd27efc62be386daeecb7a09e828d44">operator&gt;=</a>(T const &amp;lhs, Approx const &amp;rhs)</td><td class="entry"><a class="el" href="classCatch_1_1Detail_1_1Approx.html">Catch::Detail::Approx</a></td><td class="entry"><span class="mlabel">friend</span></td></tr>
  <tr><td class="entry"><a class="el" href="classCatch_1_1Detail_1_1Approx.html#a5899b8a36725406701e2ebded2971ee6">operator&gt;=</a>(Approx const &amp;lhs, T const &amp;rhs)</td><td class="entry"><a class="el" href="classCatch_1_1Detail_1_1Approx.html">Catch::Detail::Approx</a></td><td class="entry"><span class="mlabel">friend</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCatch_1_1Detail_1_1Approx.html#affd27efc62be386daeecb7a09e828d44">operator&gt;=</a>(T const &amp;lhs, Approx const &amp;rhs)</td><td class="entry"><a class="el" href="classCatch_1_1Detail_1_1Approx.html">Catch::Detail::Approx</a></td><td class="entry"><span class="mlabel">friend</span></td></tr>
  <tr><td class="entry"><a class="el" href="classCatch_1_1Detail_1_1Approx.html#a5899b8a36725406701e2ebded2971ee6">operator&gt;=</a>(Approx const &amp;lhs, T const &amp;rhs)</td><td class="entry"><a class="el" href="classCatch_1_1Detail_1_1Approx.html">Catch::Detail::Approx</a></td><td class="entry"><span class="mlabel">friend</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCatch_1_1Detail_1_1Approx.html#a8f4d2def2920a3840d3271f6d9c5ede2">scale</a>(T const &amp;newScale)</td><td class="entry"><a class="el" href="classCatch_1_1Detail_1_1Approx.html">Catch::Detail::Approx</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classCatch_1_1Detail_1_1Approx.html#a8f4d2def2920a3840d3271f6d9c5ede2">scale</a>(T const &amp;newScale)</td><td class="entry"><a class="el" href="classCatch_1_1Detail_1_1Approx.html">Catch::Detail::Approx</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCatch_1_1Detail_1_1Approx.html#a28fd65e069b698bc7ae8f060bfbcd6b6">setEpsilon</a>(double epsilon)</td><td class="entry"><a class="el" href="classCatch_1_1Detail_1_1Approx.html">Catch::Detail::Approx</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="classCatch_1_1Detail_1_1Approx.html#a28fd65e069b698bc7ae8f060bfbcd6b6">setEpsilon</a>(double epsilon)</td><td class="entry"><a class="el" href="classCatch_1_1Detail_1_1Approx.html">Catch::Detail::Approx</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCatch_1_1Detail_1_1Approx.html#aff04b8b32edc707138eb395ed45ec576">setMargin</a>(double margin)</td><td class="entry"><a class="el" href="classCatch_1_1Detail_1_1Approx.html">Catch::Detail::Approx</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="classCatch_1_1Detail_1_1Approx.html#aff04b8b32edc707138eb395ed45ec576">setMargin</a>(double margin)</td><td class="entry"><a class="el" href="classCatch_1_1Detail_1_1Approx.html">Catch::Detail::Approx</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCatch_1_1Detail_1_1Approx.html#a972fd9ac60607483263f1b0f0f9955e6">toString</a>() const</td><td class="entry"><a class="el" href="classCatch_1_1Detail_1_1Approx.html">Catch::Detail::Approx</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classCatch_1_1Detail_1_1Approx.html#a972fd9ac60607483263f1b0f0f9955e6">toString</a>() const</td><td class="entry"><a class="el" href="classCatch_1_1Detail_1_1Approx.html">Catch::Detail::Approx</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
